<ng-container *ngIf="{
        plateauSlug: plateauSlug$ | async,
        fmiSlug: fmiSlug$ | async,
        user: user$ | async,
        queryParams: queryParams$ | async } as vm">
  <nav>
    <app-season-selector></app-season-selector>
    <ng-container *ngFor="let link of rootLinks; trackBy: trackByCommands">
      <a mat-menu-item
         *ngIf="!link.conditionUnion?.right || (vm.user | userHasRight:link.conditionUnion.right)"
         [routerLink]="link.routerCommands"
         [queryParams]="link.queryParams && link.queryParams(vm.queryParams)"
         [class.menu-entry-active]="link.activePath && isLinkActive(link.activePath) || link.parentActivePath && isParentLinkActive(link.parentActivePath)"
         angulartics2On="click"
         [angularticsLabel]="link.analytics.label"
         angularticsAction="nav"
         angularticsCategory="nav-menu">
        <mat-icon>
          {{ link.icon }}
        </mat-icon>
        {{ 'common.navMenu.entry.' + link.labelSuffix | translate }}
      </a>
    </ng-container>
    <nav *ngIf="vm.plateauSlug">
      <mat-divider></mat-divider>
      <ng-container *ngFor="let link of plateauLinks(vm.plateauSlug, vm.fmiSlug); trackBy: trackByCommands">
        <a mat-menu-item
           *ngIf="link.conditionUnion?.right ? (vm.user | userHasRight:link.conditionUnion.right) : link.conditionUnion?.plateau ? (vm.user | userHasRight:link.conditionUnion.right) : true"
           [routerLink]="link.routerCommands"
           [queryParams]="link.queryParams && link.queryParams(vm.queryParams)"
           [class.menu-entry-active]="link.activePath && isLinkActive(link.activePath)"
           angulartics2On="click"
           [angularticsValue]="link.analytics.value"
           [angularticsLabel]="link.analytics.label"
           angularticsAction="nav"
           angularticsCategory="nav-menu">
          <mat-icon>
            {{ link.icon }}
          </mat-icon>
          {{ 'common.navMenu.entry.plateau.' + link.labelSuffix | translate }}
        </a>
      </ng-container>
    </nav>
    <ng-container *ngIf="vm.user | userHasRight:rightEnum.ADMIN_SEASON">
      <mat-divider></mat-divider>
      <mat-expansion-panel #adminExpansionPanel hideToggle [expanded]="isParentLinkActive('/admin')">
        <mat-expansion-panel-header expandedHeight="auto" collapsedHeight="auto">
          <button mat-menu-item
                  angulartics2On="click"
                  angularticsLabel="admin"
                  angularticsAction="toggle"
                  angularticsCategory="nav-menu">
            <mat-icon>build</mat-icon>
            {{ 'common.navMenu.entry.admin.title' | translate }}
          </button>
        </mat-expansion-panel-header>
        <nav>
          <ng-container *ngFor="let link of adminLinks; trackBy: trackByCommands">
            <a mat-menu-item
               *ngIf="vm.user | userHasRight:link.conditionUnion?.right"
               [routerLink]="link.routerCommands"
               [queryParams]="link.queryParams && link.queryParams(vm.queryParams)"
               [class.menu-entry-active]="link.parentActivePath && isParentLinkActive(link.parentActivePath)"
               angulartics2On="click"
               [angularticsLabel]="link.analytics.label"
               angularticsAction="nav"
               angularticsCategory="nav-menu">
              <mat-icon>
                {{ link.icon }}
              </mat-icon>
              {{ 'common.navMenu.entry.admin.' + link.labelSuffix | translate }}
            </a>
          </ng-container>
        </nav>
      </mat-expansion-panel>
    </ng-container>
  </nav>
</ng-container>
